# Configuration file

"aesthetic settings" {
    # Change the birch colour based on the current season [default: true]
    B:"Change Birch Colour Seasonally"=true

    # Change the foliage colour based on the current season [default: true]
    B:"Change Foliage Colour Seasonally"=true

    # Change the grass colour based on the current season [default: true]
    B:"Change Grass Colour Seasonally"=true
}


"dimension settings" {
    # Seasons will only apply to dimensons listed here [default: [0]]
    S:"Whitelisted Dimensions" <
        0
     >
}


"time settings" {
    # The duration of a Minecraft day in ticks [range: 20 ~ 2147483647, default: 24000]
    I:"Day Duration"=24000

    # If the season should progress on a server with no players online [default: true]
    B:"Progress Season While Offline"=true

    # The starting sub season for new worlds.  0 = Random, 1 - 3 = Early/Mid/Late Spring, 4 - 6 = Early/Mid/Late Summer, 7 - 9 = Early/Mid/Late Autumn, 10 - 12 = Early/Mid/Late Winter [range: 0 ~ 12, default: 5]
    I:"Starting Sub Season"=5

    # The duration of a sub season in days [range: 1 ~ 2147483647, default: 7]
    I:"Sub Season Duration"=30
}


"weather settings" {
    # Change the frequency of rain/snow/storms based on the season [default: true]
    B:"Change Weather Frequency"=true

    # Generate snow and ice during the Winter season [default: true]
    B:"Generate Snow and Ice"=true
}


